{% extends "base.html" %}
{% load sanitize_html %}
{% load logtags %}
{% load static %}


{% block csslink %}
{{ block.super }}
<link rel="stylesheet" href="{% static "css/public.css" %}" />
<meta name="viewport" content="width=device-width, initial-scale=1">
{% endblock %}

{% block heading %}{% endblock %}
{% block pageid %}public{% endblock %}

{% block jscript %}
<link rel="stylesheet" type="text/css" href="{% static "tablesaw/dist/tablesaw.css" %}" />
<script language="javascript" type="text/javascript" src="{% static "tablesaw/dist/tablesaw.js" %}"></script>
<script language="javascript" type="text/javascript" src="{% static "tablesaw/dist/tablesaw-init.js" %}"></script>
{% endblock %}

{% block content %}
<br />
<h1>LIGO/Virgo O3 Public Alerts</h1>

<h3>Detection candidates: {{ candidates }}</h3>
<br /><br />

{% if candidates > 0 %}
<div class="tablesaw-overflow">
<table class="tablesaw" data-tablesaw-sortable data-tablesaw-sortable-switch data-tablesaw-mode="columntoggle" data-tablesaw-minimap>
  <thead><tr>
      <th scope="col" data-tablesaw-sortable-col data-tablesaw-priority="persist">Event ID</th>
      <th scope="col" data-tablesaw-sortable-col data-tablesaw-priority="1">Possible Source (Probability)</th>
      <th scope="col" data-tablesaw-sortable-col data-tablesaw-sortable-string data-tablesaw-priority="2">UTC</th>
      <th scope="col" data-tablesaw-col data-tablesaw-priority="3">GCN</th>
      <th scope="col" data-tablesaw-col data-tablesaw-priority="4">Location</th>
      <th scope="col" data-tablesaw-sortable-col data-tablesaw-priority="5">FAR</th>
      <th scope="col" data-tablesaw-col data-tablesaw-priority="6">Comments</th>
      <th scope="col" data-tablesaw-sortable-col data-tablesaw-priority="0">GPS</th>

      {% if user_is_internal %}
      <th scope="col" data-tablesaw-col data-tablesaw-priority="6">&Omega; Scan</th>
      <th scope="col" data-tablesaw-col data-tablesaw-priority="6">PE</th>
      {% endif %}

    </tr>
  </thead>
  <tbody>


{% for event in object_list %}
<tr{% if event.retract %} style="background-color: #EDD;" {% endif %}>

  <td style="min-width: 100px;">
    <a href="{% url "superevents:view" event.superevent_id %}">{{ event.default_superevent_id }}</a>
  </td>
  <td style="min-width: 100px;">{{ event.sourcetypes }}</td>
  <td style="min-width: 140px;">
    <span style="font-size: 0px;">{{ event.t_0|floatformat:2 }}</span>{{ event.t_0_date }}<br/>
    {{ event.t0_utc }} UTC
  </td>
  <td style="min-width: 110px;">
    <a href={{ event.gcnurl }}>GCN Circulars</a><br/>
    <a href={{ event.noticeurl }}>Notices</a> | <a href="{% url "legacy_apiweb:default:superevents:superevent-voevent-list" event.default_superevent_id %}">VOE</a>
  </td>
  <td>
    {% if event.skymap_image %}
    <a href="{{ event.skymap_image }}">
      <img src="{{ event.skymap_image }}" width="120px" />
    </a>
    {% else %}
    No public skymap image found.
    {% endif %}
  </td>
  <td style="min-width: 120px;">
    <!-- Hidden float FAR value for table sorting -->
    <span style="font-size: 0px;">{{ event.far_hz|floatformat:20 }}</span>{{ event.far_hr }}
  </td>
  <td style="min-width: 80px;">{{ event.comments|safe }} </td>
  <td>{{ event.t_0|floatformat:2 }} </td>

  {% if user_is_internal %}
  <!-- Add Omega scans and PE results for LVC users -->
  <td style="min-width: 70px;">
    <a href="https://ldas-jobs.ligo-la.caltech.edu/~detchar/dqr/events/{{ event.superevent_id }}/L1deepomegascan/">&Omega; L1</a><br/>
    <a href="https://ldas-jobs.ligo-wa.caltech.edu/~detchar/dqr/events/{{ event.superevent_id }}/H1deepomegascan/">&Omega; H1</a>
  </td>
  <td>{{ event.pe|safe }}</td>
  {% endif %}

</tr>
{% endfor %}
</tbody></table>
</div>

<hr />
<ul style="list-style-type: square;">
  <li>Retractions are marked in red.</li>
  <li>More details about public alerts are provided in the <a href="https://emfollow.docs.ligo.org/userguide/">LIGO/Virgo Alerts User Guide</a>.</li>
</ul>
{% else %}
<h2>No candidates at present.</h2>
{% endif %}
<br /><br /><br />

{% endblock %}

